# Class BaseXmlComponent`Abstract`

#### Hierarchy

- BaseXmlComponent
  - XmlComponent
  - XmlAttributeComponent
  - NextAttributeComponent

- Defined in file/xml-components/base.ts:12

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new BaseXmlComponent(rootKey): BaseXmlComponent

- #### Parameters

  - ##### rootKey: string

  #### Returns BaseXmlComponent

  - Defined in file/xml-components/base.ts:15

## Methods

### `Abstract` prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  - Defined in file/xml-components/base.ts:19

Generated using TypeDoc